Uploaded image for project: 'Subversion'
  1. Subversion
  2. SVN-4576

Upgrading Server from 1.7 to 1.8 suddenly gives bad request error on client side

VotersWatch issueWatchersLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Invalid
    • Affects Version/s: 1.8.x
    • Fix Version/s: ---
    • Component/s: libsvn_ra_serf
    • Labels:
      None

      Description

      We have upgraded our SVN server from 1.7.14 to 1.8.13 and suddenly we can longer commit over HTTP. The HTTP clients are 
      behind a proxy but the proxy configuration has not changed.
      
      On the server side we get the following error in the apache log
      
      192.168.24.10 - user [24/Apr/2015:12:25:24 +0200] "MERGE /repo/trunk HTTP/1.1" 400 299
      
      Error code 400 is "bad request". No further information is given on why mod_dav_svn suddenly considers the MERGE request 
      as a bad request.
      

      Original issue reported by skratky

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              subversion-importer Subversion Importer

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment